Loading...
Searching...
No Matches
ASSA::io_ptrs Class Reference

io_ptrs structure. More...

`#include <Streambuf.h>`

Inheritance diagram for ASSA::io_ptrs:

## Public Types

enum | { USER_BUF = 1 , UNBUFFERED = 2 , EOF_SEEN = 4 , ERR_SEEN = 8 }

## Public Member Functions

| io_ptrs ()
void | dump () const

## Public Attributes

char * | m_read_base
char * | m_read_ptr
char * | m_read_end
char * | m_write_base
char * | m_write_ptr
char * | m_write_end
char * | m_buf_base
char * | m_buf_end
int | m_flags
char | m_shortbuf [1]

## Detailed Description

io_ptrs structure.

Definition at line 30 of file Streambuf.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
USER_BUF |
UNBUFFERED |
EOF_SEEN |
ERR_SEEN |

Definition at line 44 of file Streambuf.h.

{ USER_BUF = 1, UNBUFFERED = 2, EOF_SEEN = 4, ERR_SEEN = 8 };
ASSA::io_ptrs::USER_BUF
@ USER_BUF
Definition Streambuf.h:44
ASSA::io_ptrs::UNBUFFERED
@ UNBUFFERED
Definition Streambuf.h:44
ASSA::io_ptrs::EOF_SEEN
@ EOF_SEEN
Definition Streambuf.h:44
ASSA::io_ptrs::ERR_SEEN
@ ERR_SEEN
Definition Streambuf.h:44

## Constructor & Destructor Documentation

## io_ptrs()

ASSA::io_ptrs::io_ptrs | ( |  | ) |

inline

Definition at line 49 of file Streambuf.h.

: m_read_base (0), m_read_ptr (0), m_read_end (0),
m_write_base (0), m_write_ptr (0), m_write_end (0),
m_buf_base (0), m_buf_end (0), m_flags (0)
{
m_shortbuf [0] = 0;
}
ASSA::io_ptrs::m_write_base
char * m_write_base
Definition Streambuf.h:37
ASSA::io_ptrs::m_shortbuf
char m_shortbuf[1]
Definition Streambuf.h:47
ASSA::io_ptrs::m_write_ptr
char * m_write_ptr
Definition Streambuf.h:38
ASSA::io_ptrs::m_write_end
char * m_write_end
Definition Streambuf.h:39
ASSA::io_ptrs::m_read_ptr
char * m_read_ptr
Definition Streambuf.h:34
ASSA::io_ptrs::m_read_end
char * m_read_end
Definition Streambuf.h:35
ASSA::io_ptrs::m_buf_base
char * m_buf_base
Definition Streambuf.h:41
ASSA::io_ptrs::m_read_base
char * m_read_base
Definition Streambuf.h:33
ASSA::io_ptrs::m_buf_end
char * m_buf_end
Definition Streambuf.h:42
ASSA::io_ptrs::m_flags
int m_flags
Definition Streambuf.h:46

References m_buf_base, m_buf_end, m_flags, m_read_base, m_read_end, m_read_ptr, m_shortbuf, m_write_base, m_write_end, and m_write_ptr.

## Member Function Documentation

## dump()

void io_ptrs::dump | ( |  | ) | const

Definition at line 22 of file Streambuf.cpp.

{
#ifdef LOG_PACKET
trace_with_mask("io_ptrs::dump",STRMBUF);
int len;
DL((STRMBUF,"---Ptr------:---Val---\n"));
DL((STRMBUF,"m_read_base.: 0x%x\n", (u_long)m_read_base));
DL((STRMBUF,"m_read_ptr..: 0x%x\n", (u_long)m_read_ptr ));
DL((STRMBUF,"m_read_end..: 0x%x\n", (u_long)m_read_end ));
if (m_read_ptr && (len = m_read_end - m_read_ptr) > 0) {
MemDump get_area (m_read_ptr, len);
DL((STRMBUF,"\n%s\n", get_area.getMemDump ()));
}
DL((STRMBUF,"m_write_base: 0x%x\n", (u_long)m_write_base));
DL((STRMBUF,"m_write_ptr.: 0x%x\n", (u_long)m_write_ptr ));
DL((STRMBUF,"m_write_end.: 0x%x\n", (u_long)m_write_end ));
if (m_write_base && (len = m_write_ptr - m_write_base) > 0) {
MemDump put_area (m_write_base, len);
DL((STRMBUF,"%s\n", put_area.getMemDump ()));
}
DL((STRMBUF,"m_buf_base..: 0x%x\n", (u_long)m_buf_base ));
DL((STRMBUF,"m_buf_end...: 0x%x\n", (u_long)m_buf_end ));
DL((STRMBUF,"------------:---------\n");
#endif
}
DL
#define DL(X)
A macro for writing debug message to the Logger.
Definition Logger.h:273
trace_with_mask
#define trace_with_mask(s, m)
trace_with_mask() is used to trace function call chain in C++ program.
Definition Logger.h:437
u_long
unsigned long u_long
Definition Logger_Impl.h:41
ASSA::STRMBUF
@ STRMBUF
Class Streambuf & friends messages.
Definition LogMask.h:45

References DL, ASSA::MemDump::getMemDump(), m_buf_base, m_buf_end, m_read_base, m_read_end, m_read_ptr, m_write_base, m_write_end, m_write_ptr, ASSA::STRMBUF, and trace_with_mask.

Referenced by ASSA::Socketbuf::doallocate(), ASSA::Socketbuf::overflow(), ASSA::Streambuf::setb(), ASSA::Streambuf::uflow(), and ASSA::Socketbuf::underflow().

## Member Data Documentation

## m_buf_base

char* ASSA::io_ptrs::m_buf_base

Definition at line 41 of file Streambuf.h.

Referenced by ASSA::Socketbuf::doallocate(), dump(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::setb(), and ASSA::Streambuf::~Streambuf().

## m_buf_end

char* ASSA::io_ptrs::m_buf_end

Definition at line 42 of file Streambuf.h.

Referenced by dump(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::setb(), and ASSA::Streambuf::~Streambuf().

## m_flags

int ASSA::io_ptrs::m_flags

Definition at line 46 of file Streambuf.h.

Referenced by ASSA::Socketbuf::doallocate(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::setb(), ASSA::Streambuf::unbuffered(), ASSA::Streambuf::unbuffered(), ASSA::Socketbuf::underflow(), and ASSA::Streambuf::~Streambuf().

## m_read_base

char* ASSA::io_ptrs::m_read_base

Definition at line 33 of file Streambuf.h.

Referenced by ASSA::Streambuf::base(), dump(), ASSA::Streambuf::init(), io_ptrs(), and ASSA::Streambuf::setg().

## m_read_end

char* ASSA::io_ptrs::m_read_end

Definition at line 35 of file Streambuf.h.

Referenced by dump(), ASSA::Streambuf::egptr(), ASSA::Streambuf::in_avail(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::setg(), ASSA::Streambuf::sgetc(), ASSA::Streambuf::snextc(), and ASSA::Streambuf::xsgetn().

## m_read_ptr

char* ASSA::io_ptrs::m_read_ptr

Definition at line 34 of file Streambuf.h.

Referenced by dump(), ASSA::Streambuf::gptr(), ASSA::Streambuf::in_avail(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::setg(), ASSA::Streambuf::sgetc(), ASSA::Streambuf::snextc(), ASSA::Streambuf::uflow(), and ASSA::Streambuf::xsgetn().

## m_shortbuf

char ASSA::io_ptrs::m_shortbuf[1]

Definition at line 47 of file Streambuf.h.

Referenced by ASSA::Socketbuf::doallocate(), ASSA::Streambuf::init(), and io_ptrs().

## m_write_base

char* ASSA::io_ptrs::m_write_base

Definition at line 37 of file Streambuf.h.

Referenced by dump(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::pbase(), and ASSA::Streambuf::setp().

## m_write_end

char* ASSA::io_ptrs::m_write_end

Definition at line 39 of file Streambuf.h.

Referenced by dump(), ASSA::Streambuf::epptr(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::setp(), ASSA::Streambuf::sputc(), and ASSA::Streambuf::xsputn().

## m_write_ptr

char* ASSA::io_ptrs::m_write_ptr

Definition at line 38 of file Streambuf.h.

Referenced by dump(), ASSA::Streambuf::init(), io_ptrs(), ASSA::Streambuf::pbump(), ASSA::Streambuf::pptr(), ASSA::Streambuf::setp(), ASSA::Streambuf::sputc(), and ASSA::Streambuf::xsputn().

The documentation for this class was generated from the following files:

- Streambuf.h
- Streambuf.cpp